pro difference_movie, index, data, oindex, odata, $
		      interest=interest, second_diff=second_diff

;+
;
;   Name: difference_movie
;
;   Purpose: difference a data cube and provide some statistics
;
;
;-

nx=data_chk(data,/nx)
ny=data_chk(data,/ny)
dtype=data_chk(data,/typ)

nimgs=data_chk(data,/nim)
if nimgs lt 2 then begin
   box_message,'Need at least 2 images to difference (duh!)'
   return
endif
odata=make_array(nx,ny,nimgs-1,type=dtype)

for i=0,nimgs-2 do begin
  odata(0,0,i)=float(data(*,*,i+1))-float(data(*,*,i))
endfor

if keyword_set(second_diff) then begin
  box_message,'Doing second differences...'
  difference_movie, oindex, odata, oindex, odatax
  oinde=temporary(oindex)
  odata=temporary(oindex)
endif

; calculate statisics
nvals=data_chk(odata,/nim)
dtotals=total(abs(odata))

stop

return
end
  
  
